Package org.bukkit.plugin

# Interface EventExecutor

All Known Implementing Classes:
  `MethodHandleEventExecutor`, `StaticMethodHandleEventExecutor`, `TimedEventExecutor`

public interface EventExecutor
Interface which defines the class for event call backs to plugins

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ConcurrentMap<Method,Class<? extends EventExecutor>>`
`eventExecutorMap`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull EventExecutor`
`create(@NotNull Method m, @NotNull Class<? extends Event> eventClass)`
`void`
`execute(@NotNull Listener listener, @NotNull Event event)`

## Field Details

### eventExecutorMap

static final ConcurrentMap<Method,Class<? extends EventExecutor>> eventExecutorMap

## Method Details

### execute

void execute(@NotNull @NotNull Listener listener, @NotNull @NotNull Event event) throws EventException

Throws:
  `EventException`

### create

@NotNull static @NotNull EventExecutor create(@NotNull @NotNull Method m, @NotNull @NotNull Class<? extends Event> eventClass)